/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-TFTM1.44-3
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with: 
Works with Raspberry pi
****************************************************/

#include <bcm2835.h>
#include <stdio.h>
#include <time.h>
#include "st7735.h"

char value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
int main(int argc, char **argv)
{
    time_t now;
    struct tm *timenow;
 
    if(!bcm2835_init())
    {
        return -1;
    }


  
    st7735_begin();
    st7735_mono_bitmap(0, 0, mono_bmp, 128, 128, GREEN);
    st7735_display();
    bcm2835_delay(2000);



  st7735_bitmap16(0, 0, pic1, 128, 128);
   st7735_display();
    bcm2835_delay(2000);

  st7735_bitmap16(0, 0, pic2, 128, 128);
   st7735_display();
    bcm2835_delay(2000);

  st7735_bitmap16(0, 0, pic3, 128, 128);
   st7735_display();
    bcm2835_delay(2000);

  st7735_bitmap16(0, 0, pic4, 128, 128);
   st7735_display();
    bcm2835_delay(2000);

  st7735_bitmap16(0, 0, pic5, 128, 128);
   st7735_display();
    bcm2835_delay(2000);

  st7735_bitmap16(0, 0, pic6, 128, 128);
   st7735_display();
    bcm2835_delay(2000);
   


    st7735_clear();
    printf("TFT example. Press Ctrl + C to exit.\n");

    uint16_t i=100;
    while(1)
    {
        time(&now);
        timenow = localtime(&now);


   	st7735_string(25,2, "EastRising", 16, 1, CYAN);  
   	     
       st7735_string(20, 35, "hour", 16, 0, RED); 
       st7735_char3216(60, 25, ':' , WHITE);

        st7735_char3216(85, 25, value[timenow->tm_hour / 10],RED);
        st7735_char3216(110, 25, value[timenow->tm_hour % 10],RED);
  
        st7735_char3216(5, 70, value[timenow->tm_min / 10], GREEN);
        st7735_char3216(30, 70, value[timenow->tm_min % 10], GREEN);
        st7735_char3216(60, 70, ':' , WHITE);
        st7735_char3216(85, 70, value[timenow->tm_sec / 10],  BLUE);
        st7735_char3216(110, 70, value[timenow->tm_sec % 10],  BLUE);

        st7735_string(10, 105, "buydisplay.com", 16, 1, i); 
	i+=1000; if(i>=65536)i=1000;
    

        st7735_display();
      
    }
    bcm2835_spi_end();
    bcm2835_close();
    return 0;
}

